Bug 977767 - there is wrong backing file specified for making external snapshot with vmdk format disk
there is wrong backing file specified for making external snapshot with vmdk ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
: 977774 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 05:48 EDT by Sibiao Luo
Modified: 2013-11-21 02:01 EST (History)
11 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.382.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 02:01:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-06-25 05:48:55 EDT
Description of problem:
mkae a vmdk format disk, then create external snapshot with vmdk format disk, check the snapshot file that there is wrong backing file specified for it.

Version-Release number of selected component (if applicable):
host info:
2.6.32-392.el6.x86_64
qemu-kvm-0.12.1.2-2.376.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.create a vmdk format disk.
# qemu-img create -f vmdk vmdk-data-disk.vmdk 10G
Formatting 'vmdk-data-disk.vmdk', fmt=vmdk size=10737418240 compat6=off zeroed_grain=off 
# qemu-img info vmdk-data-disk.vmdk 
image: vmdk-data-disk.vmdk
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
2.make external snapshot with vmdk format.
# qemu-img create -f vmdk -b vmdk-data-disk.vmdk vmdk-data-snapshot1
3.check the snapshot file info.
# qemu-img info vmdk-data-snapshot1

Actual results:
after step 2, make external snapshot with vmdk format successfully.
# qemu-img create -f vmdk -b vmdk-data-disk.vmdk vmdk-data-snapshot1Formatting 'vmdk-data-snapshot1', fmt=vmdk size=10737418240 backing_file='vmdk-data-disk.vmdk' compat6=off zeroed_grain=off 
after step 3, there is wrong backing file specified for it.
# qemu-img info vmdk-data-snapshot1
image: vmdk-data-snapshot1
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
backing file: disk.vmdk             <--------it should be: vmdk-data-disk.vmdk

Expected results:
after step 3, there is correct backing file specified for snapshot file.

Additional info:
try the qcow2 format:
# qemu-img create -f qcow2 sluo-test 10G
Formatting 'sluo-test', fmt=qcow2 size=10737418240 encryption=off cluster_size=65536 
# qemu-img create -f qcow2 -b sluo-test -F qcow2 sluo-snapshot1
Formatting 'sluo-snapshot1', fmt=qcow2 size=10737418240 backing_file='sluo-test' backing_fmt='qcow2' encryption=off cluster_size=65536 
# qemu-img info sluo-snapshot1
image: sluo-snapshot1
file format: qcow2
virtual size: 10G (10737418240 bytes)
disk size: 136K
cluster_size: 65536
backing file: sluo-test          <---------correctly
Comment 1 Fam Zheng 2013-07-02 20:51:45 EDT
*** Bug 977774 has been marked as a duplicate of this bug. ***
Comment 5 Sibiao Luo 2013-07-30 02:12:29 EDT
Verify this issue on qemu-kvm-0.12.1.2-2.382.el6.x86_64 that it can do external snapshot with vmdk format disk successfully.

host info:
2.6.32-401.el6.x86_64
qemu-kvm-0.12.1.2-2.382.el6.x86_64

# qemu-img create -f vmdk vmdk-data-disk.vmdk 10G
Formatting 'vmdk-data-disk.vmdk', fmt=vmdk size=10737418240 compat6=off zeroed_grain=off 
# qemu-img info vmdk-data-disk.vmdk 
image: vmdk-data-disk.vmdk
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
# qemu-img create -f vmdk -b vmdk-data-disk.vmdk vmdk-data-snapshot1
Formatting 'vmdk-data-snapshot1', fmt=vmdk size=10737418240 backing_file='vmdk-data-disk.vmdk' compat6=off zeroed_grain=off 
# qemu-img info vmdk-data-snapshot1
image: vmdk-data-snapshot1
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
backing file: vmdk-data-disk.vmdk
# qemu-img create -f vmdk -b vmdk-data-snapshot1 vmdk-data-snapshot2
Formatting 'vmdk-data-snapshot2', fmt=vmdk size=10737418240 backing_file='vmdk-data-snapshot1' compat6=off zeroed_grain=off 
# qemu-img info vmdk-data-snapshot2
image: vmdk-data-snapshot2
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
backing file: vmdk-data-snapshot1
# qemu-img create -f vmdk -b vmdk-data-snapshot2 vmdk-data-snapshot3
Formatting 'vmdk-data-snapshot3', fmt=vmdk size=10737418240 backing_file='vmdk-data-snapshot2' compat6=off zeroed_grain=off 
# qemu-img info vmdk-data-snapshot3
image: vmdk-data-snapshot3
file format: vmdk
virtual size: 10G (10737418240 bytes)
disk size: 12K
backing file: vmdk-data-snapshot2

Base on above, this issue has been fixed correctly. Set to verified status, please let me know if any mistake.

Best Regards,
sluo
Comment 8 errata-xmlrpc 2013-11-21 02:01:29 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.